Subject: Re: Latest Cygwin: rl_getenv_hook problem
From: "Alexei Alexandrov" <[email-masked]>
To: "Eric Blake" <[email-masked]>
Cc: [email-masked]
Date: Thu, 7 Dec 2006 16:34:04 +0300
List-Id: <cygwin.cygwin.com>

On 12/7/06, Eric Blake <[email-masked]> wrote:
>
> Your version of /bin/sh (I'm guessing something from the 6.0 series) did
> not get upgraded properly by the bash postinstall script.  So that I might
> be able to improve the postinstall script to try harder in your scenario,
> please run the following commands and report the results to the list:
>
> $ ls -l /bin/bash.exe /bin/sh.exe
> $ getfacl /bin/bash.exe /bin/sh.exe
> $ sh --version
> $ bash --version
>
> Then run the following command to fix your problem:
>
> $ cp /bin/bash.exe /bin/sh.exe
>

Here is the output:

> ls -l /bin/bash.exe /bin/sh.exe
-rwxrwx---+ 1 aalexand mkgroup-l-d 484352 Dec  6 17:17 /bin/bash.exe
-rwxrwx---+ 1 aalexand mkgroup-l-d 451072 Aug  4  2005 /bin/sh.exe

> getfacl /bin/bash.exe /bin/sh.exe
# file: /bin/bash.exe
# owner: aalexand
# group: mkgroup-l-d
user::rwx
group::rwx
group:SYSTEM:rwx
group:Users:r-x
mask:rwx
other:---

# file: /bin/sh.exe
# owner: aalexand
# group: mkgroup-l-d
user::rwx
group::rwx
group:SYSTEM:rwx
group:Users:r-x
mask:rwx
other:---

> bash --version
GNU bash, version 3.2.5(8)-release (i686-pc-cygwin)
Copyright (C) 2005 Free Software Foundation, Inc.

I couldn't do sh --version because it doesn't work, but looking at the
binary I can see that it contains version string

@(#)Bash version 3.00.16(11) release GNU release 3.00

Thanks a lot!

-- 
Alexei Alexandrov

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/